D-Bus: DBusTransport Struct Reference

D-Bus 1.14.10

Data Fields
DBusTransport Struct Reference

Object representing a transport such as a socket. More...

`#include <dbus-transport-protected.h>`

## Data Fields
int | refcount
| Reference count.
const DBusTransportVTable * | vtable
| Virtual methods for this instance.
DBusConnection * | connection
| Connection owning this transport.
DBusMessageLoader * | loader
| Message-loading buffer.
DBusAuth * | auth
| Authentication conversation.
DBusCredentials * | credentials
| Credentials of other end read from the socket.
long | max_live_messages_size
| Max total size of received messages.
long | max_live_messages_unix_fds
| Max total unix fds of received messages.
DBusCounter * | live_messages
| Counter for size/unix fds of all live messages.
char * | address
| Address of the server we are connecting to (NULL for the server side of a transport)
char * | expected_guid
| GUID we expect the server to have, NULL on server side or if we don't have an expectation.
DBusAllowUnixUserFunction | unix_user_function
| Function for checking whether a user is authorized.
void * | unix_user_data
| Data for unix_user_function.
DBusFreeFunction | free_unix_user_data
| Function to free unix_user_data.
DBusAllowWindowsUserFunction | windows_user_function
| Function for checking whether a user is authorized.
void * | windows_user_data
| Data for windows_user_function.
DBusFreeFunction | free_windows_user_data
| Function to free windows_user_data.
unsigned int | disconnected: 1
| TRUE if we are disconnected.
unsigned int | authenticated: 1
| Cache of auth state; use _dbus_transport_peek_is_authenticated() to query value.
unsigned int | send_credentials_pending: 1
| TRUE if we need to send credentials
unsigned int | receive_credentials_pending: 1
| TRUE if we need to receive credentials
unsigned int | is_server: 1
| TRUE if on the server side
unsigned int | unused_bytes_recovered: 1
| TRUE if we've recovered unused bytes from auth
unsigned int | allow_anonymous: 1
| TRUE if an anonymous client can connect

## Detailed Description

Object representing a transport such as a socket.

A transport can shuttle messages from point A to point B, and is the backend for a DBusConnection.

Definition at line 80 of file dbus-transport-protected.h.

## Field Documentation

## ◆ address

char* DBusTransport::address

Address of the server we are connecting to (NULL for the server side of a transport)

Definition at line 99 of file dbus-transport-protected.h.

Referenced by _dbus_transport_finalize_base(), _dbus_transport_get_address(), and _dbus_transport_init_base().

## ◆ allow_anonymous

unsigned int DBusTransport::allow_anonymous

TRUE if an anonymous client can connect

Definition at line 119 of file dbus-transport-protected.h.

Referenced by _dbus_transport_set_allow_anonymous().

## ◆ auth

DBusAuth* DBusTransport::auth

Authentication conversation.

Definition at line 90 of file dbus-transport-protected.h.

Referenced by _dbus_transport_finalize_base(), _dbus_transport_get_adt_audit_session_data(), _dbus_transport_get_credentials(), _dbus_transport_get_dispatch_status(), _dbus_transport_get_is_anonymous(), _dbus_transport_get_server_id(), _dbus_transport_get_unix_process_id(), _dbus_transport_get_unix_user(), _dbus_transport_get_windows_user(), _dbus_transport_init_base(), _dbus_transport_new_for_socket(), _dbus_transport_set_auth_mechanisms(), and _dbus_transport_try_to_authenticate().

## ◆ authenticated

unsigned int DBusTransport::authenticated

Cache of auth state; use _dbus_transport_peek_is_authenticated() to query value.

Definition at line 114 of file dbus-transport-protected.h.

Referenced by _dbus_transport_get_adt_audit_session_data(), _dbus_transport_get_credentials(), _dbus_transport_get_is_anonymous(), _dbus_transport_get_server_id(), _dbus_transport_get_unix_process_id(), _dbus_transport_get_unix_user(), _dbus_transport_get_windows_user(), _dbus_transport_init_base(), _dbus_transport_peek_is_authenticated(), and _dbus_transport_try_to_authenticate().

## ◆ connection

DBusConnection* DBusTransport::connection

Connection owning this transport.

Definition at line 86 of file dbus-transport-protected.h.

Referenced by _dbus_transport_queue_messages(), _dbus_transport_set_connection(), and _dbus_transport_try_to_authenticate().

## ◆ credentials

DBusCredentials* DBusTransport::credentials

Credentials of other end read from the socket.

Definition at line 92 of file dbus-transport-protected.h.

Referenced by _dbus_transport_finalize_base(), and _dbus_transport_init_base().

## ◆ disconnected

unsigned int DBusTransport::disconnected

TRUE if we are disconnected.

Definition at line 113 of file dbus-transport-protected.h.

Referenced by _dbus_transport_disconnect(), _dbus_transport_do_iteration(), _dbus_transport_finalize_base(), _dbus_transport_get_is_connected(), _dbus_transport_get_socket_fd(), _dbus_transport_handle_watch(), _dbus_transport_init_base(), and _dbus_transport_try_to_authenticate().

## ◆ expected_guid

char* DBusTransport::expected_guid

GUID we expect the server to have, NULL on server side or if we don't have an expectation.

Definition at line 101 of file dbus-transport-protected.h.

Referenced by _dbus_transport_finalize_base(), _dbus_transport_get_server_id(), _dbus_transport_init_base(), _dbus_transport_open(), and _dbus_transport_try_to_authenticate().

## ◆ free_unix_user_data

DBusFreeFunction DBusTransport::free_unix_user_data

Function to free unix_user_data.

Definition at line 106 of file dbus-transport-protected.h.

Referenced by _dbus_transport_finalize_base(), _dbus_transport_init_base(), and _dbus_transport_set_unix_user_function().

## ◆ free_windows_user_data

DBusFreeFunction DBusTransport::free_windows_user_data

Function to free windows_user_data.

Definition at line 111 of file dbus-transport-protected.h.

Referenced by _dbus_transport_finalize_base(), _dbus_transport_init_base(), and _dbus_transport_set_windows_user_function().

## ◆ is_server

unsigned int DBusTransport::is_server

TRUE if on the server side

Definition at line 117 of file dbus-transport-protected.h.

Referenced by _dbus_transport_get_server_id(), _dbus_transport_init_base(), and _dbus_transport_try_to_authenticate().

## ◆ live_messages

DBusCounter* DBusTransport::live_messages

Counter for size/unix fds of all live messages.

Definition at line 97 of file dbus-transport-protected.h.

Referenced by _dbus_transport_finalize_base(), _dbus_transport_get_dispatch_status(), _dbus_transport_init_base(), _dbus_transport_queue_messages(), _dbus_transport_set_max_received_size(), and _dbus_transport_set_max_received_unix_fds().

## ◆ loader

DBusMessageLoader* DBusTransport::loader

Message-loading buffer.

Definition at line 88 of file dbus-transport-protected.h.

Referenced by _dbus_transport_finalize_base(), _dbus_transport_get_dispatch_status(), _dbus_transport_get_max_message_size(), _dbus_transport_get_max_message_unix_fds(), _dbus_transport_get_pending_fds_count(), _dbus_transport_init_base(), _dbus_transport_queue_messages(), _dbus_transport_set_max_message_size(), _dbus_transport_set_max_message_unix_fds(), and _dbus_transport_set_pending_fds_function().

## ◆ max_live_messages_size

long DBusTransport::max_live_messages_size

Max total size of received messages.

Definition at line 94 of file dbus-transport-protected.h.

Referenced by _dbus_transport_get_dispatch_status(), _dbus_transport_get_max_received_size(), _dbus_transport_init_base(), _dbus_transport_set_max_received_size(), and _dbus_transport_set_max_received_unix_fds().

## ◆ max_live_messages_unix_fds

long DBusTransport::max_live_messages_unix_fds

Max total unix fds of received messages.

Definition at line 95 of file dbus-transport-protected.h.

Referenced by _dbus_transport_get_dispatch_status(), _dbus_transport_get_max_received_unix_fds(), _dbus_transport_init_base(), _dbus_transport_set_max_received_size(), and _dbus_transport_set_max_received_unix_fds().

## ◆ receive_credentials_pending

unsigned int DBusTransport::receive_credentials_pending

TRUE if we need to receive credentials

Definition at line 116 of file dbus-transport-protected.h.

Referenced by _dbus_transport_init_base(), and _dbus_transport_try_to_authenticate().

## ◆ refcount

int DBusTransport::refcount

Reference count.

Definition at line 82 of file dbus-transport-protected.h.

Referenced by _dbus_transport_init_base(), _dbus_transport_ref(), and _dbus_transport_unref().

## ◆ send_credentials_pending

unsigned int DBusTransport::send_credentials_pending

TRUE if we need to send credentials

Definition at line 115 of file dbus-transport-protected.h.

Referenced by _dbus_transport_init_base(), and _dbus_transport_try_to_authenticate().

## ◆ unix_user_data

void* DBusTransport::unix_user_data

Data for unix_user_function.

Definition at line 104 of file dbus-transport-protected.h.

Referenced by _dbus_transport_finalize_base(), _dbus_transport_init_base(), and _dbus_transport_set_unix_user_function().

## ◆ unix_user_function

DBusAllowUnixUserFunction DBusTransport::unix_user_function

Function for checking whether a user is authorized.

Definition at line 103 of file dbus-transport-protected.h.

Referenced by _dbus_transport_init_base(), _dbus_transport_set_unix_user_function(), and _dbus_transport_try_to_authenticate().

## ◆ unused_bytes_recovered

unsigned int DBusTransport::unused_bytes_recovered

TRUE if we've recovered unused bytes from auth

Definition at line 118 of file dbus-transport-protected.h.

Referenced by _dbus_transport_get_dispatch_status().

## ◆ vtable

const DBusTransportVTable* DBusTransport::vtable

Virtual methods for this instance.

Definition at line 84 of file dbus-transport-protected.h.

Referenced by _dbus_transport_disconnect(), _dbus_transport_do_iteration(), _dbus_transport_get_socket_fd(), _dbus_transport_handle_watch(), _dbus_transport_init_base(), _dbus_transport_queue_messages(), _dbus_transport_set_connection(), and _dbus_transport_unref().

## ◆ windows_user_data

void* DBusTransport::windows_user_data

Data for windows_user_function.

Definition at line 109 of file dbus-transport-protected.h.

Referenced by _dbus_transport_finalize_base(), _dbus_transport_init_base(), and _dbus_transport_set_windows_user_function().

## ◆ windows_user_function

DBusAllowWindowsUserFunction DBusTransport::windows_user_function

Function for checking whether a user is authorized.

Definition at line 108 of file dbus-transport-protected.h.

Referenced by _dbus_transport_init_base(), _dbus_transport_set_windows_user_function(), and _dbus_transport_try_to_authenticate().

The documentation for this struct was generated from the following file:

- dbus-transport-protected.h